# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=4

inherit eutils

VERSION="5.0.0AB.7"
DESCRIPTION="Linux port of windows defragmenter utility"
HOMEPAGE="http://jp-andre.pagesperso-orange.fr/advanced-ntfs-3g.html"
SRC_URI="http://jp-andre.pagesperso-orange.fr/ultradefrag-${VERSION}.zip"

S="${WORKDIR}/${PN}-${VERSION}"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
IUSE=""

DEPEND="sys-fs/ntfs3g"
RDEPEND="${DEPEND}"

#pkg_setup() {
#}

#src_prepare() {
#	# bug #459040
#	epatch "${FILESDIR}"/${P}-set-parsed_info-got_user-when-a-cred-file.patch
#}

#src_configure() {
#	ROOTSBINDIR="${EPREFIX}"/sbin \
#	econf \
#		$(use_enable ads cifsupcall) \
#		$(use_with caps libcap) \
#		$(use_with caps-ng libcap-ng) \
#		$(use_enable creds cifscreds) \
#		--with-libcap-ng=$(use caps-ng && echo 'yes' || echo 'no') \
#		--disable-cifsidmap \
#		--disable-cifsacl
#}

#src_install() {
#	default
#	# remove empty directories
#	find "${ED}" -type d -print0 | xargs --null rmdir \
#		--ignore-fail-on-non-empty &>/dev/null
#}

#pkg_postinst() {
#	# Inform about set-user-ID bit of mount.cifs
#	ewarn "setuid use flag was dropped due to multiple security implications"
#	ewarn "such as CVE-2009-2948, CVE-2011-3585 and CVE-2012-1586"
#	ewarn "You are free to set setuid flags by yourself"

#	# Inform about upcall usage
#	if use ads ; then
#		ewarn "Using mount.cifs in combination with keyutils"
#		ewarn "in order to mount DFS shares, you need to add"
#		ewarn "the following line to /etc/request-key.conf:"
#		ewarn "  create dns_resolver * * /usr/sbin/cifs.upcall %k"
#		ewarn "Otherwise, your DFS shares will not work properly."
#	fi
#}

src_prepare() {
	epatch "${FILESDIR}"/${PN}.patch
}

src_compile() {
	cd src
	emake
}

src_install() {
	dosbin src/udefrag
}
